Botan 2.1.0 Crypto and TLS for C++11

- Main Page
- Namespaces
- Classes
- Files

- Namespace List
- Namespace Members

Functions
std Namespace Reference

## Functions
template<>
void | swap< Botan::BigInt > (Botan::BigInt &x, Botan::BigInt &y)
template<>
void | swap< Botan::CurveGFp > (Botan::CurveGFp &curve1, Botan::CurveGFp &curve2) BOTAN_NOEXCEPT
template<>
void | swap< Botan::PointGFp > (Botan::PointGFp &x, Botan::PointGFp &y)

## Function Documentation

template<>

void std::swap< Botan::BigInt > | ( | Botan::BigInt & | x,
|  | Botan::BigInt & | y
| ) |  |
| inline

Definition at line 622 of file bigint.h.

623 {
624 x.swap(y);
625 }
Botan::BigInt::swap
void swap(BigInt &other)
Definition: bigint.h:122
template<>

void std::swap< Botan::CurveGFp > | ( | Botan::CurveGFp & | curve1,
|  | Botan::CurveGFp & | curve2
| ) |  |
| inline

Definition at line 175 of file curve_gfp.h.

177 {
178 curve1.swap(curve2);
179 }
Botan::CurveGFp::swap
void swap(CurveGFp &other)
Definition: curve_gfp.h:140
template<>

void std::swap< Botan::PointGFp > | ( | Botan::PointGFp & | x,
|  | Botan::PointGFp & | y
| ) |  |
| inline

Definition at line 307 of file point_gfp.h.

308 { x.swap(y); }
Botan::PointGFp::swap
void swap(PointGFp &other)
Definition: point_gfp.cpp:447